Problema con resolución de pantalla al actualizar sistema

Imagen de pepitux
0 puntos

Buenos dias, esta mañana (como casi todas las mañanas) me salió en el panel un aviso de nuevas actualizaciones de paquetes para mi Xubuntu 12.04. Como vi que eran bastantes paquetes (unos 94, creo) abrí el listado antes de actualizar y me fijé que, entre otras, había una nueva versión del kernel y del servidor Xorg.

El caso es que actualizo y, tras reiniciar, compruebo que la pantalla ha disminuido a una resolución bastante más pobre de la habitual. Entro en Configuración=>Pantalla y veo que estaba en 1024x768, siendo imposible aumentarlo a la resolución habitual que soporta el monitor (1280x1024). Abro la aplicación de Controladores adicionales y compruebo que el controlador privativo de nVidia (tengo una geForce 7300) versión current no está activado. De hecho, no lo había estado desde que actualicé Precise desde Oneiric, pero aún así el monitor se veía perfectamente a la máxima resolución posible usando los drivers libres. Así que decido activar el driver propietario y al reiniciar todo vuelve a verse como antes. Pero yo quería seguir usando los drivers libres.

Buscando por internet encontré el comando xrandr que, al ejecutarlo con los drivers libres activados, me devuelve lo siguiente:

~/$ xrandr
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 640 x 480, current 1024 x 768, maximum 1024 x 768
default connected 1024x768+0+0 0mm x 0mm
   1024x768        0.0* 
   800x600        61.0  
   640x480        60.0  
  1024x768_60.00 (0x150)   63.5MHz
        h: width  1024 start 1072 end 1176 total 1328 skew    0 clock   47.8KHz
        v: height  768 start  771 end  775 total  798           clock   59.9Hz

En la lista de controladores adicionales me sale que el driver activo actualmente es nVidia Riva/TNT/GeForce. He examinado el fichero /var/log/Xorg.0.log, pero la verdad es que no encuentro nada que me ofrezca una pista sobre el problema. Lo que tengo claro es que la causa de dicho problema debe estar en alguno de los paquetes que se han actualizado, uno de ellos ha de contener un bug. Pero a ver cómo descubrir en cual de ellos está.

¿Alguien más tiene este problema?. En otros foros ha sido notificado durante las últimas 24 horas, aunque aún no se ofrece ninguna solución.